Name:           feedreader
Version:        1.2.1
Release:        4%{?dist}
Summary:        RSS desktop client

# Some of the source files are GPLv3+ and some are LGPLv3+, which makes the
# combined work GPLv3+.
License:        GPLv3+
URL:            http://jangernert.github.io/feedreader/
Source0:        https://launchpad.net/feedreader/1.2/%{version}/+download/FeedReader-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(rest-0.7)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(webkit2gtk-4.0)
BuildRequires:  vala-devel
BuildRequires:  vala-tools
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  /usr/bin/desktop-file-validate

Requires:       dbus
Requires:       hicolor-icon-theme
Requires:       html2text

%description
FeedReader is a modern desktop application designed to complement existing
web-based RSS accounts. It combines all the advantages of web based services
like synchronization across all your devices with everything you expect from a
modern desktop application.


%prep
%autosetup -n FeedReader-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} \
  -DUSE_WEBKIT_4=ON \
  -DWITH_LIBUNITY=OFF \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
%make_install -C %{_target_platform}

# Install appdata file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cp -a data/feedreader.appdata.xml $RPM_BUILD_ROOT%{_datadir}/appdata/

%find_lang RSSReader


%check
appstream-util validate-relax --nonet $RPM_BUILD_ROOT%{_datadir}/appdata/feedreader.appdata.xml
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/feedreader.desktop


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
fi
update-desktop-database &>/dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files -f RSSReader.lang
%license COPYING
%doc Changelog
%{_bindir}/feedreader*
%{_datadir}/FeedReader/
%{_datadir}/appdata/feedreader.appdata.xml
%{_datadir}/applications/feedreader.desktop
%{_datadir}/dbus-1/services/feedreader.service
%{_datadir}/glib-2.0/schemas/org.gnome.feedreader*.gschema.xml
%{_datadir}/icons/hicolor/*/apps/feedreader.svg
%{_datadir}/icons/hicolor/*/actions/feed-*.svg
%{_datadir}/icons/hicolor/*/places/feed-*.svg
%{_datadir}/icons/hicolor/*/status/feed-*.svg


%changelog
* Wed Sep 23 2015 Pete Walter <pwalter@fedoraproject.org> - 1.2.1-4
- Add missing html2text dependency

* Wed Sep 09 2015 Pete Walter <pwalter@fedoraproject.org> - 1.2.1-3
- Add update-desktop-database rpm scripts
- Add a comment explaining the licensing
- Depend on dbus for /usr/share/dbus-1/services directory

* Fri Sep 04 2015 Pete Walter <pwalter@fedoraproject.org> - 1.2.1-2
- Update to respinned 1.2.1 tarball
- Include app icon

* Fri Sep 04 2015 Pete Walter <pwalter@fedoraproject.org> - 1.2.1-1
- Update to 1.2.1
- Ship COPYING file
- Use American spelling of 'synchronization'
- Use autosetup macro
- Install appdata file

* Thu Sep 03 2015 Pete Walter <pwalter@fedoraproject.org> - 1.2-1
- Initial packaging
